import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class ButtonWidget extends StatelessWidget {
  final String label;
  final double sizeText;
  final Color background;
  final Color color;
  final IconData icon;
  final VoidCallback onPressed;
  final double width;
  final double sizeIcon;
  final double borderRadius;
  final EdgeInsetsGeometry margin;

  const ButtonWidget(
      {@required this.label,
      @required this.onPressed,
      this.background,
      this.color,
      this.icon,
      this.width,
      this.sizeText = 16,
      this.sizeIcon = 20,
      this.borderRadius = 8,
      this.margin});

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
          padding: margin,
          width: width,
          child: RaisedButton(
            color: background,
            child: Wrap(
              children: <Widget>[
                Icon(
                  icon,
                  color: color,
                  size: sizeIcon,
                ),
                Container(
                  padding: EdgeInsets.only(top: 2, left: 5),
                  child: Text(
                    label,
                    style: TextStyle(color: color, fontSize: sizeText),
                  ),
                ),
              ],
            ),
            onPressed: onPressed,
            shape: RoundedRectangleBorder(
              borderRadius: BorderRadius.circular(borderRadius),
            ),
          )),
    );
  }
}
