import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class NoneResult extends StatelessWidget {

  final String label;
  final Color background;
  final Color color;
  final VoidCallback onPressed;

  NoneResult({
    @required this.label,
    this.background,
    this.color = Colors.white,
    this.onPressed
  });

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Padding(
        padding: EdgeInsets.only(top: 30),
        child: RaisedButton(
            color: background,
            child: Wrap(
              children: <Widget>[
                Icon(
                  Icons.cached,
                  color: color,
                ),
                Padding(
                  padding: EdgeInsets.only(top: 3, left: 5),
                  child: Text(
                    label,
                    style: TextStyle(
                      color: color,
                    ),
                  ),
                ),
              ],
            ),
            onPressed: onPressed
        ),
      ),
    );
  }
}